#configuration parameters for DPM Fast Dormancy and TCM module.

#Configuration params for FD
#delay_time while issuing dormancy_request
dpm_fd_delay_time_timer_value:0
#Idle timer value when SCREEN state is ON
#dpm_fd_screen_on_idle_timer_value = actual_screen_on_timer + delay_time
dpm_fd_screen_on_idle_timer_value:3600
#Idle timer value when SCREEN state is OFF
#dpm_fd_screen_off_idle_timer_value = actual_screen_off_timer + delay_time
dpm_fd_screen_off_idle_timer_value:3
#Idle timer value when TETHERING is ON
#This takes precedence over SCREEN state
#dpm_tethering_on_idle_timer_value = actual_tethering_on_timer + delay_time
dpm_fd_tethering_on_idle_timer_value:15
#FastDormancy can be configured for a network type
#Default configuration 101000011100001000
dpm_fd_enable_networks_mask:0x28708

#Configuration params for TCM
#Idle timer value when SCREEN state is ON
#min : 1s and max :256s
dpm_tcm_screen_on_idle_timer_value:5
#Idle timer value when SCREEN state is OFF
#min : 2s and max :256s
dpm_tcm_screen_off_idle_timer_value:2
#TCM can be configured for a network type
#Default configuration 11111111111111111110
dpm_tcm_enable_networks_mask:0xFFFFE


#FastDormancy and TCM can be configured for a network type
#NETWORK_TYPE_UNKNOWN = 0
#NETWORK_TYPE_GPRS = 1
#NETWORK_TYPE_EDGE = 2
#NETWORK_TYPE_UMTS = 3
#NETWORK_TYPE_CDMA = 4
#NETWORK_TYPE_EVDO_0 = 5
#NETWORK_TYPE_EVDO_A = 6
#NETWORK_TYPE_1xRTT = 7
#NETWORK_TYPE_HSDPA = 8
#NETWORK_TYPE_HSUPA = 9
#NETWORK_TYPE_HSPA = 10
#NETWORK_TYPE_IDEN = 11
#NETWORK_TYPE_EVDO_B = 12
#NETWORK_TYPE_LTE = 13
#NETWORK_TYPE_EHRPD = 14
#NETWORK_TYPE_HSPAP = 15
#NETWORK_TYPE_GSM = 16
#NETWORK_TYPE_TD_SCDMA = 17
#NETWORK_TYPE_IWLAN = 18
#NETWORK_TYPE_LTE_CA = 19;

#configuration params for Dormancy manager
#first larger inactivity soft timer to poll for dormancy in seconds.
dpm_dm_t1_inactivity_timer:15
#second smaller inactivity soft timer to poll for dormancy in seconds.
dpm_dm_t2_inactivity_timer:5
#number of times T2 can be repeated before registering for dormancy indication with modem directly.
dpm_dm_repeat_t2:5

